datacache <- new.env(hash=TRUE, parent=emptyenv())

rtu34_dbconn <- function() dbconn(datacache)
rtu34_dbfile <- function() dbfile(datacache)
rtu34_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rtu34_dbInfo <- function() dbInfo(datacache)

rtu34ORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rtu34.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RODENTCHIP_DB("rtu34", "chip rtu34", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rtu34_dbconn())
}

